For the complete documentation index, see llms.txt. This page is also available as Markdown.

DescribeCloudRouterDCToDCTraffic

1. API Description

This API (DescribeCloudRouterDCToDCTraffic) is used to query Data Center to Data Center Traffic

Notes

  • Data center information for access points in the Cloud Router can be obtained via the DescribeCloudRouters API.

  • The span between the start time and end time cannot exceed one day.

  • Only traffic data within the last 30 days can be queried.

  • This API aggregates bandwidth by data center and cannot distinguish the traffic of individual access points within the same data center. For example, when querying bandwidth from data center A to Z, the result returned is the sum of all access points in A to Z, and the bandwidth between a specific access point and another cannot be obtained separately.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

cloudRouterId

Yes

String

Cloud Router ID.

sourceDcId

Yes

String

Source data center ID.

destinationDcId

Yes

String

Destination data center ID.

startTime

Yes

String

Query start time, in ISO 8601 format, UTC timezone.

endTime

No

String

Query end time, in ISO 8601 format, UTC timezone. Defaults to the current time.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

dataList

Array of TrafficData

List of traffic data points.

in95

Integer

Inbound 95th percentile peak traffic.

inAvg

Integer

Average inbound traffic.

inMax

Integer

Maximum inbound traffic.

inMin

Integer

Minimum inbound traffic.

out95

Integer

Outbound 95th percentile peak traffic.

outAvg

Integer

Average outbound traffic.

outMax

Integer

Maximum outbound traffic.

outMin

Integer

Minimum outbound traffic.

unit

String

Traffic unit, e.g. bps.

4. Code Example

  1. Query the data center-to-data center traffic data in a Cloud Router over one day.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_DATACENTER_NOT_FOUND

The specified data center does not exist.

Last updated